Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://app.freyavoice.ai/api/v2/agents \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "agents": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "entityType": "workflow",
          "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "total": 1,
      "limit": 123,
      "offset": 1
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

workspaceId
string<uuid>
required

Workspace ID

entityType
enum<string>
default:all

Filter by entity type: 'workflow' for workflow-agents, 'agent' for regular agents, 'all' for both

Available options:
workflow,
agent,
all
limit
integer
default:50

Maximum number of agents to return (1-100)

Required range: x <= 100
offset
integer
default:0

Number of agents to skip for pagination

Required range: x >= 0

Response

Agents list with pagination

success
enum<boolean>
required
Available options:
true
data
object
required